kafka:
  consumerID: fms-pusher-prod
  topic: 
    gps: fleet-api-gps
    general: fleet-api-notification
  group:
    gps: fms-pusher-prod-group
    general: fms-pusher-prod-group
  brokers:
    - 172.20.24.171:9092
  minBytes: 1e3
  maxBytes: 2e6
  maxWait: 5000
  maxDealRoutineNum: 10
  setOffset:
    generalType: false
    generalValue:
    gpsType: false
    gpsValue:
  commitInterval:
    gps: 1000
    general: 0

  # Type: false/offset/timestamp

aws:
  config:
    region: ap-southeast-1
    credentialsID: AKIAVZFGACWSM44VD4G6
    credentialsSecret: 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
  kafka:
    topicArn: arn:aws:sns:ap-southeast-1:397632607652:wtest-sns-forward
  cloudWatch:
    namespace: FleetAPIWtest/ServiceMetrics
    serviceStatus: DealNotificationPushStatusProd
    timeDiff: fms_kafka_process_latency
    sampleInterval:
      gps: 10
      general: 1

gin:
  maxTime: 12
  port: :8060

postGre:
  maxIdleConns: 2
  maxOpenConns: 5
  host: wtest-notification.crwogqkovwba.ap-southeast-1.rds.amazonaws.com
  port: 5432
  user: postgres
  dbname: fms_notification
  password: tKY6H9iLnHL4D08O


redis:
  index: 9
  network: tcp
#  address: fleet-dev.hreonp.ng.0001.use1.cache.amazonaws.com:6379
  address: 172.20.24.171:6379


sendgrid:
  apiKey: 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
  senderName: fms-pusher-mk
  senderAddress: fms-pusher-mk@waylens.com
  midEndName: mk-notification
  midEndEmail: limin.zhang@eveus.com

gps:
  biasTime: 5

fmsGpsServerAddress: http://172.20.24.171:9004
